org.eclipse.ease.ui.completion.provider

## Class LocationResolver

- java.lang.Object
- - org.eclipse.ease.ui.completion.provider.LocationResolver

    public class LocationResolver
    extends java.lang.Object

Resolves file location completion proposals. Helper for file location completion provider.

### Constructor Summary

Constructors
Constructor and Description
`LocationResolver(java.lang.String location, java.lang.Object parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.util.Collection<? extends java.lang.Object>` `getChildren()` Get all children of this location.
`java.lang.String` `getFilterPart()` Detect part of location that denotes the filter component.
`java.lang.Object` `getParentFolder()` Get base folder this location refers to.
`java.lang.String` `getParentString()` Get a string representation of the resolved location folder.
`static boolean` `isWindows()` Detect windows operating system.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LocationResolver

    public LocationResolver(java.lang.String location,
                            java.lang.Object parent)

### Method Detail

#### isWindows

    public static final boolean isWindows()

Detect windows operating system.

Returns:
  `true` when executed on a windows based OS

#### getFilterPart

    public java.lang.String getFilterPart()

Detect part of location that denotes the filter component. This is the text string following the last delimiter (eg '/').

Returns:
  filter part of location

#### getParentFolder

    public java.lang.Object getParentFolder()

Get base folder this location refers to.

Returns:
  base folder of this location

#### getChildren

    public java.util.Collection<? extends java.lang.Object> getChildren()

Get all children of this location. Returns the content of `getParentFolder()`.

Returns:
  content of location base folder

#### getParentString

    public java.lang.String getParentString()

Get a string representation of the resolved location folder.

Returns:
  location base folder representation